<template>
  <b-container>
    <b-modal ref="failure-modal" hide-footer title="Creation failed">
      <div class="d-block text-center">
        <h6>The credentials you gave are wrong. Please, try again.</h6>
      </div>
      <div> <b-row>
        <b-col cols="4"></b-col>
        <b-col cols="4">          
          <b-button class="mt-3" variant="warning" block @click="hideModal" >Ok</b-button>          
        </b-col>
      <b-col cols="4"></b-col>
      </b-row>
      </div>
    </b-modal>
    <br>
    <br>
<b-card bg-variant="light">
       <b-row rows="2"> <p style=" color: #22b574 ; font-size: 200%">
            Use your credentials to log in.
            </p>
        </b-row>
        <b-row>
          <b-col>
            <b-form-group
        label-cols-sm="3"
        label="Username:"
        label-align-sm="right"
        label-for="nested-name"
      >
        <b-form-input id="nested-name"
            v-model = "form.username"
        ></b-form-input>
      </b-form-group>
      </b-col>
      <b-col>
      </b-col>
        </b-row>
        <b-row>
          <b-col>
      <b-form-group
        label-cols-sm="3"
        label="Password:"
        label-align-sm="right"
        label-for="nested-type"
      >
        <b-form-input  id="nested-type"
        type="password"
        v-model = "form.password"
                        class="form-control form-control-sm validate"
        ></b-form-input>
      </b-form-group>
      </b-col>
      <b-col>
      </b-col>
</b-row>
<!-- </b-row> -->
<b-row>
      <b-button variant="success" style="margin-left : 14%"
      @click="Login()"
      >Submit</b-button>
      </b-row>
<!--  </b-row>
       </b-row> -->
  </b-card>
   <!-- <div class="pb-lg-5 pt-lg-5">
      <b-row>
        <div class="col-lg-3 col-md-3 col-sm-2"></div>
        <div class="col-lg-6 col-md-6 col-sm-8 col-xs-12">
          <h2 class="text-center mb-3">Login in your account</h2>
          <b-form @submit.prevent="AuthenticateUser" >
            <b-form-group id="input-group-1" label="Username" label-for="id_username" class="text-left">
              <b-form-input
                id="id_username"
                v-model="form.username"
                type="text"
                required
                placeholder="Enter username"
              ></b-form-input>
            </b-form-group>

            <b-form-group id="input-group-2" label="Password"  label-for="id_password" class="text-left">
              <b-form-input
                id="id_password"
                v-model="form.password"
                type="password"
                required
                placeholder="Enter password"
              ></b-form-input>
            </b-form-group>

            <! -- not visible -->
   <!--          <div v-show="false">
              <b-form-group id="input-group-3" label="Email" label-for="id_email" class="text-left">
                <b-form-input
                  id="id_email"
                  v-model="form.email"
                  type="text"
                  placeholder="Enter email"
                ></b-form-input>
              </b-form-group>
            </div>
            <b-button type="submit" class="btn btn-block" variant="info">Login</b-button>
          </b-form>

          <div class="mt-lg-5">
            <p class="text-center">
              <router-link :to="{name: 'home'}" class="text-info">Home page</router-link>
              &bullet;
              Not a member? <router-link :to="{name: 'signup'}" class="text-info">Sign Up</router-link>
              &bullet;
              <router-link :to="{name: 'home'}" class="text-info">Forgot Password</router-link>
            </p>
          </div>
        </div>
      </b-row>
    </div> -->
  </b-container>
</template>

<script>
import Navbar from '../components/Navbar'
import Footer from '../components/Footer'

export default {
  name: 'login',
  components: {
    Navbar,
    Footer
  },
  data () {
    return {
      form: {
        username: '',
        email: '',
        password: ''
      }
    }
  },
  methods: {

    Login () {
      let credentials = {
        username: this.form.username,
        password: this.form.password
      }
      this.$store.dispatch('login', credentials).then(
           response => {
                console.log(response)
         if(response.status) { 
            if (response.status = '200'){ 
              console.log('200')
              //this.$refs['my-modal'].show()}
            } }
          else if (response.response.status = '401')
        // {this.$refs['failure-modal'].show()}
          { console.log('401')
          {this.$refs['failure-modal'].show()}
          }
          }
       )
      //this.$router.push({name: 'home'})

    //   this.$store.commit('SET_USER', credentials)
    //   console.log(this.$store.state)
    //   this.$router.push({name: 'home'})
    //   console.log(credentials)
    }
    ,
    hideModal() {
         this.$refs['failure-modal'].hide()
      },
    AuthenticateUser (event) {
    //   let credentials = {
    //   login: this.form.username,
    //   password: this.form.password,
    //   email: this.form.email
    // }
    //  this.$store.dispatch('login', credentials)
    }
  }
}
</script>

<style scoped>

</style>
